<?php

namespace app\common\model;

use think\Model;


class Menu extends Model
{





    // 表名
    protected $name = 'menu';

    // 自动写入时间戳字段
    protected $autoWriteTimestamp = false;

    // 定义时间戳字段名
    protected $createTime = false;
    protected $updateTime = false;
    protected $deleteTime = false;

    // 追加属性
    protected $append = [
        'status_text'
    ];



    public function getStatusList()
    {
        return ['0' => __('Status 0'), '1' => __('Status 1')];
    }


    public function getStatusTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['status']) ? $data['status'] : '');
        $list = $this->getStatusList();
        return isset($list[$value]) ? $list[$value] : '';
    }

    /**
     * 获取菜单列表
     * @param $cid
     * @param $category_id
     */
    public static function lst($cid,$category_id,$limit=5)
    {
        $rs = self::where('cid',$cid)->where('category_id',$category_id)->where('status',1)->limit($limit)->order('sort desc,id asc')->select();
        return $rs;
    }




}
